<f:if condition="{media}">
	<!-- fal media files -->
	<f:if condition="{media ->f:count()} > 1">
		<!-- if fluid detects more than one image switch to this container -->
		<f:then>
			<div class="c-news-detail-slider   o-slider   js-slider" data-slides-to-show="1">

				<f:for each="{media}" as="mediaElement">
					<f:if condition="{mediaElement.originalResource.type} == 2">
						<f:render partial="Detail/FalMediaImage" arguments="{mediaElement: mediaElement, settings:settings}" />
					</f:if>
					<f:if condition="{mediaElement.originalResource.type} == 4">
						<f:render partial="Detail/FalMediaVideo" arguments="{mediaElement: mediaElement, settings:settings}" />
					</f:if>
					<f:if condition="{mediaElement.originalResource.type} == 5">
						<f:render partial="Detail/FalMediaImage" arguments="{mediaElement: mediaElement, settings:settings}" />
					</f:if>
				</f:for>

			</div>
		</f:then>

		<f:else>
			<f:for each="{media}" as="mediaElement">
				<f:if condition="{mediaElement.originalResource.type} == 2">
					<f:render partial="Detail/FalMediaImage" arguments="{mediaElement: mediaElement, settings:settings}" />
				</f:if>
				<f:if condition="{mediaElement.originalResource.type} == 4">
					<f:render partial="Detail/FalMediaVideo" arguments="{mediaElement: mediaElement, settings:settings}" />
				</f:if>
				<f:if condition="{mediaElement.originalResource.type} == 5">
					<f:render partial="Detail/FalMediaImage" arguments="{mediaElement: mediaElement, settings:settings}" />
				</f:if>
			</f:for>
		</f:else>
	</f:if>

</f:if>
